<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title> Activity A </title>
</head>

<body>

	<p><i>Science and Engineering Ethics (2001) 7,231-238</i></p>

	<pr><h1><hr> Software Engineering Code of Ethics and<br> Professional Practice</hr> </h1>
	<h2>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional<br> Practices</h2>
	<p><b><hr> Keywords: </b>code of ethics, professional responsibility, software engineering</p>

	<h3>PREAMBLE</h3>

	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that<br>are included in the full version give examples and details of how these aspirations change the way we<br>act as software engineering professionals. Without the aspirations, the details can become legalistic<br>and tedious; without the details, the aspirations can become high-sounding but empty; together, the<br> aspirations and the details from a cohesive code.</p>

	<p>Software engineers shall commit themselves to making the analysis, specification, design,<br> development, testing, and maintenance of software a beneficial and respected profession. In<br> accordance with their commitment to the health, safety, and welfare of the public, software engineers<br> shall adhere to the following eight Principles:</p>

	<h3>PRINCIPLES</h3>

	<p>
		<ol type="1">

		<li> <i>Public.</i> Software engineers shall acti consistently with the public interest.<br></li>

		<li> <i>Client and employer.</i> Software engineers shall act in a manner that is in the best interest of their<br> client and employer, consistent with the public interest.<br></li>
		<li> <i>Product.</i> Software engineers shall ensure that their products and relted modifications meet the<br> highest professional standards possible.<br></li>
		<li> <i>Judgement.</i> Software engineers shall maintain integrity and independence in their professional<br> judgement.<br></li>

		<li> <i>Management.</i> Software engineering managers and leaders shall subscribe to and promote an<br> ethical approach to the management of the software development and maintainance.<br></li>

		<li> <i>Profession.</i> Software engineers shall advance the integrity and reputation of the profession<br> consistent with the public interest.<br></li>

		<li> <i>Colleagues.</i> Software engineers shall be fair to and supportive of their colleagues.<br></li>

		<li> <i>Self. </i> Software engineers shall participate in lifelong learning regarding the practice of their<br> profession and shall promote an ethical approach to the practice of the profession.</li>

	</ol>

	</p>

</body>
</html>